Name:           fhist
Version:        1.16
Release: 	1%{?dist}
Summary:        The FHist package contains 3 utilities, a file history tool ``fhist'', a file comparison tool ``fcomp'', and a file merging tool ``fmerge''. 

Group:          Utilities
License:        GPL
URL:            http://fhist.sourceforge.net/

Source0:        fhist-1.16.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  bison binutils groff gettext

%description
The FHist package contains 3 utilities, a file history tool ``fhist'', 
a file comparison tool ``fcomp'', and a file merging tool ``fmerge''. 
All three are bundled together, because they all use the same minimal-
difference algorithm. The history tool presented here, fhist, is a 
minimal history tool. It provides no locking or branching. This can 
be useful in contexts where the configuration management or change 
control be being provided by some other tool. The history tool, fhist 
is able to handle binary files. The file comparison tool, fcomp, usually 
does a line-for-line plain-text comparison, however it is also capable 
of a byte-for-byte binary comparison. 

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root, -)
%doc LICENSE README
%{_bindir}/fcomp
%{_bindir}/fhist
%{_bindir}/fmerge
%{_libdir}/fhist/en/LC_MESSAGES/fcomp.mo
%{_libdir}/fhist/en/LC_MESSAGES/fhist.mo
%{_libdir}/fhist/en/LC_MESSAGES/fmerge.mo
%{_datadir}/fhist/en/building.dvi
%{_datadir}/fhist/en/building.ps
%{_datadir}/fhist/en/building.txt
%{_datadir}/fhist/en/man1/fcomp.1
%{_datadir}/fhist/en/man1/fhist.1
%{_datadir}/fhist/en/man1/fhist_lic.1
%{_datadir}/fhist/en/man1/fmerge.1
%{_datadir}/fhist/en/readme.dvi
%{_datadir}/fhist/en/readme.ps
%{_datadir}/fhist/en/readme.txt
%{_datadir}/fhist/en/reference.dvi
%{_datadir}/fhist/en/reference.ps
%{_datadir}/fhist/en/reference.txt
%{_datadir}/man/man1/fcomp.1.gz
%{_datadir}/man/man1/fhist.1.gz
%{_datadir}/man/man1/fhist_lic.1.gz
%{_datadir}/man/man1/fmerge.1.gz
                                                                     

%changelog

* Mon Aug 14 2006 Paweł Brach <pawel.brach@aurox.org> 1.16-1
- initial aurox release